import request from '@/utils/request'

// 查询单次报工标识记录列表
export function listMesJobSingleReportSign(query) {
	return request({
		url: '/mes/mesJobSingleReportSign/list',
		method: 'get',
		params: query
	})
}

// 高级查询单次报工标识记录列表
export function advListMesJobSingleReportSign(query) {
	return request({
		url: '/mes/mesJobSingleReportSign/advList',
		method: 'get',
		params: query
	})
}

// 查询单次报工标识记录详细
export function getMesJobSingleReportSign(id) {
	return request({
		url: '/mes/mesJobSingleReportSign/' + id,
		method: 'get'
	})
}

// 新增单次报工标识记录
export function addMesJobSingleReportSign(data) {
	return request({
		url: '/mes/mesJobSingleReportSign',
		method: 'post',
		data: data
	})
}
export function reportConfirm(data) {
	return request({
		url: '/mes/mesJobSingleReportSign/reportConfirm/' + data,
		method: 'post'
	})
}
export function qualityConfirm(data) {
	return request({
		url: '/mes/mesJobSingleReportSign/qualityConfirm/' + data,
		method: 'post'
	})
}
export function whInConfirm(data) {
	return request({
		url: '/mes/mesJobSingleReportSign/whInConfirm/' + data,
		method: 'post'
	})
}

// 修改单次报工标识记录
export function updateMesJobSingleReportSign(data) {
	return request({
		url: '/mes/mesJobSingleReportSign',
		method: 'put',
		data: data
	})
}

// 删除单次报工标识记录
export function delMesJobSingleReportSign(id) {
	return request({
		url: '/mes/mesJobSingleReportSign/' + id,
		method: 'delete'
	})
}